Package org.eclipse.lemminx.settings

## Class ClientSettingsManager

- java.lang.Object
- - org.eclipse.lemminx.settings.ClientSettingsManager

    public class ClientSettingsManager
    extends Object

ClientSettingsManager

### Constructor Summary

Constructors
`ClientSettingsManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContentModelSettings` `getCmSettings()`
`XMLGeneralClientSettings` `getGeneralXMLSettings()`
`void` `setCmSettings​(ContentModelSettings cmSettings)`
`void` `setGeneralXMLSettings​(XMLGeneralClientSettings generalXMLSettings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientSettingsManager

    public ClientSettingsManager()

### Method Detail

#### getCmSettings

    public ContentModelSettings getCmSettings()

Returns:
  the cmSettings

#### setCmSettings

    public void setCmSettings​(ContentModelSettings cmSettings)

Parameters:
  `cmSettings` - the cmSettings to set

#### getGeneralXMLSettings

    public XMLGeneralClientSettings getGeneralXMLSettings()

Returns:
  the generalXMLSettings

#### setGeneralXMLSettings

    public void setGeneralXMLSettings​(XMLGeneralClientSettings generalXMLSettings)

Parameters:
  `generalXMLSettings` - the generalXMLSettings to set